Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

getProductCategoryList

Prev Next

Available in Classic and VPC

Get the list of service categories.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /product/getProductCategoryList

Request headers

For headers common to all List price APIs, see List price common headers.

Request query parameters

The following describes the parameters.

Field Type Required Description
productCategoryCode String Optional Product category code
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://billingapi.apigw.ntruss.com/billing/v1/product/getProductCategoryList?productCategoryCode=COMPUTE'
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See ProductCategoryList for the response body.

Response status codes

For information about the HTTP status codes common to NAVER Cloud Platform, see Ncloud API response status codes.

Response example

The response example is as follows:

<?xml version="1.0" encoding="UTF-8"?>
<getProductCategoryListResponse>
    <requestId>89e37809-****-****-****-0e5762e14b39</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>1</totalRows>
    <productCategoryList>
        <productCategory>
            <code>COMPUTE</code>
            <codeName>Compute</codeName>
        </productCategory>
    </productCategoryList>
</getProductCategoryListResponse>